Bug 1574011 - libreswan is missing a Requires: unbound-libs >= 1.6.6
Summary: libreswan is missing a Requires: unbound-libs >= 1.6.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan
Version: 7.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Paul Wouters
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:36 UTC by Paul Wouters
Modified: 2018-10-30 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:51:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:3174 0 None None None 2018-10-30 10:52:02 UTC

Description Paul Wouters 2018-05-02 16:36:53 UTC
People trying to install libreswan from rhel-7.5 on rhel-7.4 are getting the error:

May 02 17:56:50 vel1-nfv02-kvm0401 addconn[538238]: /usr/libexec/ipsec/addconn: symbol lookup error: /usr/libexec/ipsec/addconn: undefined symbol: ub_ctx_create_event
May 02 17:56:50 vel1-nfv02-kvm0401 systemd[1]: ipsec.service: control process exited, code=exited status=127
May 02 17:56:50 vel1-nfv02-kvm0401 systemd[1]: Failed to start Internet Key Exchange (IKE) Protocol Daemon for IPsec. -- Subject: Unit ipsec.service has failed

Comment 1 Paul Wouters 2018-05-02 16:38:29 UTC
Just to clarify, we just need to add:

Requires: unbound-libs >= 1.6.6

The spec file already contains:

BuildRequires: unbound-devel >= 1.6.6

Comment 4 Ondrej Moriš 2018-08-10 11:28:27 UTC
Successfully verified:

# yum localinstall http://download.eng.bos.redhat.com/brewroot/packages/libreswan/3.25/2.el7/x86_64/libreswan-3.25-2.el7.x86_64.rpm

Dependencies Resolved

=====================================================================
 Package       Arch   Version      Repository                   Size
=====================================================================
Installing:
 libreswan    x86_64  3.25-2.el7  /libreswan-3.25-2.el7.x86_64 4.7 M
Installing for dependencies:
 unbound-libs x86_64  1.6.6-1.el7 rhel                         405 k

Transaction Summary
=====================================================================
Install  1 Package (+1 Dependent package)

Comment 6 errata-xmlrpc 2018-10-30 10:51:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:3174


Note You need to log in before you can comment on or make changes to this bug.